IORInfoOperations (Java SE 10 & JDK 10 )
Keywords: org.omg.PortableInterceptor.IORInfoOperations interface

Module java.corba
Package org.omg.PortableInterceptor

## Interface IORInfoOperations

- All Known Subinterfaces:
    `IORInfo`

      public interface IORInfoOperations

  Provides the server-side ORB service with access to the applicable policies during IOR construction and the ability to add components. The ORB passes an instance of its implementation of this interface as a parameter to `IORInterceptor.establish_components`.
  See Also:
    `IORInterceptor`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ObjectReferenceTemplate` | `adapter_template()` | Return the object reference template of the object adapter that was just created and is running IOR interceptors.
    `void` | `add_ior_component​(TaggedComponent tagged_component)` | A portable ORB service implementation calls `add_ior_component` from its implementation of `establish_components` to add a tagged component to the set which will be included when constructing IORs.
    `void` | `add_ior_component_to_profile​(TaggedComponent tagged_component, int profile_id)` | A portable ORB service implementation calls `add_ior_component_to_profile` from its implementation of `establish_components` to add a tagged component to the set which will be included when constructing IORs.
    `ObjectReferenceFactory` | `current_factory()` | On read, returns the current factory that will be used to create object references for the object adapter that was just created and is running IOR interceptors.
    `void` | `current_factory​(ObjectReferenceFactory newCurrent_factory)` | On read, returns the current factory that will be used to create object references for the object adapter that was just created and is running IOR interceptors.
    `Policy` | `get_effective_policy​(int type)` | Allows an ORB service implementation to determine what server side policy of a particular type is in effect for an IOR being constructed.
    `int` | `manager_id()` | Return the adapter manager id of the object adapter that was just created and is running IOR interceptors.
    `short` | `state()` | Return the adapter state of the object adapter that was just created and is running IOR interceptors.

- - ### Method Detail

    - #### get_effective_policy

          Policy get_effective_policy​(int type)

      Allows an ORB service implementation to determine what server side policy of a particular type is in effect for an IOR being constructed. When the IOR being constructed is for an object implemented using a POA, all Policy objects passed to the `PortableServer.POA.create_POA` call that created that POA are accessable via `get_effective_policy`.

      If a policy for the given type is not known to the ORB, then this operation will throw `INV_POLICY` with a standard minor code of 2.

      Parameters:
        `type` - an int specifying the type of policy to return.
      Returns:
        The effective `CORBA.Policy` object of the requested type. If the given policy type is known, but no policy of that type is in effect, then this operation will return a nil object reference.

    - #### add_ior_component

          void add_ior_component​(TaggedComponent tagged_component)

      A portable ORB service implementation calls `add_ior_component` from its implementation of `establish_components` to add a tagged component to the set which will be included when constructing IORs. The components in this set will be included in all profiles.

      Any number of components may exist with the same component ID.

      Parameters:
        `tagged_component` - The IOP.TaggedComponent to add.

    - #### add_ior_component_to_profile

          void add_ior_component_to_profile​(TaggedComponent tagged_component,
                                            int profile_id)

      A portable ORB service implementation calls `add_ior_component_to_profile` from its implementation of `establish_components` to add a tagged component to the set which will be included when constructing IORs. The components in this set will be included in the specified profile.

      Any number of components may exist with the same component ID.

      Parameters:
        `tagged_component` - The `IOP.TaggedComponent` to add.
        `profile_id` - The profile id of the profile to which this component will be added.
      Throws:
        `BAD_PARAM` - thrown, with a standard minor code of 29, if the given profile ID does not define a known profile or it is impossible to add components to that profile.

    - #### manager_id

          int manager_id()

      Return the adapter manager id of the object adapter that was just created and is running IOR interceptors.

    - #### state

          short state()

      Return the adapter state of the object adapter that was just created and is running IOR interceptors.

    - #### adapter_template

          ObjectReferenceTemplate adapter_template()

      Return the object reference template of the object adapter that was just created and is running IOR interceptors.

    - #### current_factory

          ObjectReferenceFactory current_factory()

      On read, returns the current factory that will be used to create object references for the object adapter that was just created and is running IOR interceptors. By default, this factory is the same as the value of the adapter_template attribute. The current_factory may also be set to another object reference template inside an IORInterceptor_3_0.

    - #### current_factory

          void current_factory​(ObjectReferenceFactory newCurrent_factory)

      On read, returns the current factory that will be used to create object references for the object adapter that was just created and is running IOR interceptors. By default, this factory is the same as the value of the adapter_template attribute. The current_factory may also be set to another object reference template inside an IORInterceptor_3_0.